Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultCompanyType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.company.submit.CompanyKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultCompanyType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultCompanyType

extends CompanyKeyType
implements Serializable

Java class for ConsultCompanyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCompanyType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:company:submit}CompanyKeyType">
           <sequence>
             <element name="AuthorisationNr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="VatNr" type="{urn:be:fgov:ehealth:dics:core:v3:company:submit}VatNrPerCountryType" minOccurs="0"/>
             <element name="EuropeanNr" type="{urn:be:fgov:ehealth:dics:core:v3:company:submit}EuropeanNrType" minOccurs="0"/>
             <element name="Denomination" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="LegalForm" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Building" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="StreetName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="StreetNum" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Postbox" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Postcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="City" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CountryCode" type="{urn:be:fgov:ehealth:dics:core:v3:company:submit}CountryCodeType" minOccurs="0"/>
             <element name="Phone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Language" type="{urn:be:fgov:ehealth:dics:core:v3:company:submit}CompanyLanguageType"/>
             <element name="Website" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCompanyType()`

Method Summary
`String` | `getAuthorisationNr()` Gets the value of the authorisationNr property.
`String` | `getBuilding()` Gets the value of the building property.
`String` | `getCity()` Gets the value of the city property.
`String` | `getCountryCode()` Gets the value of the countryCode property.
`String` | `getDenomination()` Gets the value of the denomination property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getEuropeanNr()` Gets the value of the europeanNr property.
`String` | `getLanguage()` Gets the value of the language property.
`String` | `getLegalForm()` Gets the value of the legalForm property.
`String` | `getPhone()` Gets the value of the phone property.
`String` | `getPostbox()` Gets the value of the postbox property.
`String` | `getPostcode()` Gets the value of the postcode property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`String` | `getStreetName()` Gets the value of the streetName property.
`String` | `getStreetNum()` Gets the value of the streetNum property.
`VatNrPerCountryType` | `getVatNr()` Gets the value of the vatNr property.
`String` | `getWebsite()` Gets the value of the website property.
`void` | `setAuthorisationNr(String value)` Sets the value of the authorisationNr property.
`void` | `setBuilding(String value)` Sets the value of the building property.
`void` | `setCity(String value)` Sets the value of the city property.
`void` | `setCountryCode(String value)` Sets the value of the countryCode property.
`void` | `setDenomination(String value)` Sets the value of the denomination property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setEuropeanNr(String value)` Sets the value of the europeanNr property.
`void` | `setLanguage(String value)` Sets the value of the language property.
`void` | `setLegalForm(String value)` Sets the value of the legalForm property.
`void` | `setPhone(String value)` Sets the value of the phone property.
`void` | `setPostbox(String value)` Sets the value of the postbox property.
`void` | `setPostcode(String value)` Sets the value of the postcode property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStreetName(String value)` Sets the value of the streetName property.
`void` | `setStreetNum(String value)` Sets the value of the streetNum property.
`void` | `setVatNr(VatNrPerCountryType value)` Sets the value of the vatNr property.
`void` | `setWebsite(String value)` Sets the value of the website property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.company.submit.CompanyKeyType
`getActorNr, setActorNr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCompanyType

    public ConsultCompanyType()

Method Detail

### getAuthorisationNr

    public String getAuthorisationNr()

  Gets the value of the authorisationNr property.

  Returns:
    possible object is `String`

### setAuthorisationNr

    public void setAuthorisationNr(String value)

  Sets the value of the authorisationNr property.

  Parameters:
    `value` - allowed object is `String`

### getVatNr

    public VatNrPerCountryType getVatNr()

  Gets the value of the vatNr property.

  Returns:
    possible object is `VatNrPerCountryType`

### setVatNr

    public void setVatNr(VatNrPerCountryType value)

  Sets the value of the vatNr property.

  Parameters:
    `value` - allowed object is `VatNrPerCountryType`

### getEuropeanNr

    public String getEuropeanNr()

  Gets the value of the europeanNr property.

  Returns:
    possible object is `String`

### setEuropeanNr

    public void setEuropeanNr(String value)

  Sets the value of the europeanNr property.

  Parameters:
    `value` - allowed object is `String`

### getDenomination

    public String getDenomination()

  Gets the value of the denomination property.

  Returns:
    possible object is `String`

### setDenomination

    public void setDenomination(String value)

  Sets the value of the denomination property.

  Parameters:
    `value` - allowed object is `String`

### getLegalForm

    public String getLegalForm()

  Gets the value of the legalForm property.

  Returns:
    possible object is `String`

### setLegalForm

    public void setLegalForm(String value)

  Sets the value of the legalForm property.

  Parameters:
    `value` - allowed object is `String`

### getBuilding

    public String getBuilding()

  Gets the value of the building property.

  Returns:
    possible object is `String`

### setBuilding

    public void setBuilding(String value)

  Sets the value of the building property.

  Parameters:
    `value` - allowed object is `String`

### getStreetName

    public String getStreetName()

  Gets the value of the streetName property.

  Returns:
    possible object is `String`

### setStreetName

    public void setStreetName(String value)

  Sets the value of the streetName property.

  Parameters:
    `value` - allowed object is `String`

### getStreetNum

    public String getStreetNum()

  Gets the value of the streetNum property.

  Returns:
    possible object is `String`

### setStreetNum

    public void setStreetNum(String value)

  Sets the value of the streetNum property.

  Parameters:
    `value` - allowed object is `String`

### getPostbox

    public String getPostbox()

  Gets the value of the postbox property.

  Returns:
    possible object is `String`

### setPostbox

    public void setPostbox(String value)

  Sets the value of the postbox property.

  Parameters:
    `value` - allowed object is `String`

### getPostcode

    public String getPostcode()

  Gets the value of the postcode property.

  Returns:
    possible object is `String`

### setPostcode

    public void setPostcode(String value)

  Sets the value of the postcode property.

  Parameters:
    `value` - allowed object is `String`

### getCity

    public String getCity()

  Gets the value of the city property.

  Returns:
    possible object is `String`

### setCity

    public void setCity(String value)

  Sets the value of the city property.

  Parameters:
    `value` - allowed object is `String`

### getCountryCode

    public String getCountryCode()

  Gets the value of the countryCode property.

  Returns:
    possible object is `String`

### setCountryCode

    public void setCountryCode(String value)

  Sets the value of the countryCode property.

  Parameters:
    `value` - allowed object is `String`

### getPhone

    public String getPhone()

  Gets the value of the phone property.

  Returns:
    possible object is `String`

### setPhone

    public void setPhone(String value)

  Sets the value of the phone property.

  Parameters:
    `value` - allowed object is `String`

### getLanguage

    public String getLanguage()

  Gets the value of the language property.

  Returns:
    possible object is `String`

### setLanguage

    public void setLanguage(String value)

  Sets the value of the language property.

  Parameters:
    `value` - allowed object is `String`

### getWebsite

    public String getWebsite()

  Gets the value of the website property.

  Returns:
    possible object is `String`

### setWebsite

    public void setWebsite(String value)

  Sets the value of the website property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.